Bug 241543 - Adding recipents entry to config file crashes setroubleshoot
Summary: Adding recipents entry to config file crashes setroubleshoot
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-27 21:05 UTC by John Villalovos
Modified: 2008-05-21 14:25 UTC (History)
1 user (show)

Fixed In Version: RHSA-2008-0061
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:25:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct invalid argument in set_filter() (664 bytes, patch)
2007-06-25 21:08 UTC, John Dennis
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0061 normal SHIPPED_LIVE Moderate: setroubleshoot security and bug fix update 2008-05-21 14:25:59 UTC

Description John Villalovos 2007-05-27 21:05:36 UTC
Edit: /etc/setroubleshoot/setroubleshoot.cfg

Add an email address to:
recipients =

Restart setroubleshootd

Generate an selinux failure (I did it by making a file in my home directory and
then using mv to move it to ~apache/html/ and then trying to view the file).

I get the following message in /var/log/messages:
May 27 14:04:35 web setroubleshoot: 2007-05-27 14:04:35,256 [avc.ERROR] Plugin
Exception plugins.home_tmp_bad_labels  Traceback (most recent call last):   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 260, in
analyze_avc     report_receiver.report_problem(report)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/server.py", line 145, in
report_problem     self.database.set_filter(self, siginfo.sig, addr,
FILTER_ALWAYS)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 468, in
set_filter     siginfo = self.lookup_signature(sig)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 388, in
lookup_signature     matches = self.sigs.match_signatures(sig)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/signature.py", line 1265, in
match_signatures     if pat.__dict__[name] == sig.__dict__[name]: KeyError:
'analysis_id'
May 27 14:04:35 web setroubleshoot: 2007-05-27 14:04:35,297 [avc.ERROR] Plugin
Exception plugins.disable_trans  Traceback (most recent call last):   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 260, in
analyze_avc     report_receiver.report_problem(report)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/server.py", line 145, in
report_problem     self.database.set_filter(self, siginfo.sig, addr,
FILTER_ALWAYS)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 468, in
set_filter     siginfo = self.lookup_signature(sig)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 388, in
lookup_signature     matches = self.sigs.match_signatures(sig)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/signature.py", line 1265, in
match_signatures     if pat.__dict__[name] == sig.__dict__[name]: KeyError:
'analysis_id'
May 27 14:04:35 web setroubleshoot: 2007-05-27 14:04:35,303 [avc.ERROR] Plugin
Exception plugins.catchall  Traceback (most recent call last):   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 260, in
analyze_avc     report_receiver.report_problem(report)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/server.py", line 145, in
report_problem     self.database.set_filter(self, siginfo.sig, addr,
FILTER_ALWAYS)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 468, in
set_filter     siginfo = self.lookup_signature(sig)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/analyze.py", line 388, in
lookup_signature     matches = self.sigs.match_signatures(sig)   File
"/usr/lib/python2.4/site-packages/setroubleshoot/signature.py", line 1265, in
match_signatures     if pat.__dict__[name] == sig.__dict__[name]: KeyError:
'analysis_id'

Comment 1 John Villalovos 2007-05-27 21:07:34 UTC
I forgot to add I am running:
# rpm -q setroubleshoot
setroubleshoot-1.8.11-4.el5



Comment 2 John Dennis 2007-06-25 21:08:15 UTC
Created attachment 157812 [details]
patch to correct invalid argument in set_filter()

Comment 3 John Dennis 2007-06-25 21:13:23 UTC
Because of scheduling issues concerning bug fix updates it may be a while till
you see this bug fix appear in a RHEL update. However, because the fix is so
easy I tell you how to fix it in your installation using a text editor.

Open /usr/lib/python2.4/site-packages/setroubleshoot/server.py

goto line 145, remove the first parameter (self) from the set_filter() call so
it reads like this:

self.database.set_filter(siginfo.sig, addr, FILTER_ALWAYS)

Comment 4 John Villalovos 2007-06-25 22:18:27 UTC
Thanks!

Comment 5 John Dennis 2007-06-25 22:26:50 UTC
reopen, set state to Modified, request 5.2 Update inclusion

Comment 6 Jay Turner 2007-11-30 07:35:40 UTC
QE ack for RHEL5.2.  Reproducer in comment 0.

Comment 7 John Dennis 2008-01-09 23:39:38 UTC
Note, reproducer in comment #0 is no longer valid, that configuration option has
been removed. Email address can now be managed directly via the GUI menu item:
File-->Edit email alert list

Comment 10 errata-xmlrpc 2008-05-21 14:25:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0061.html



Note You need to log in before you can comment on or make changes to this bug.